Policy Kit не работает должным образом?

Linux Mint 19 x64 с корицей

Всякий раз, когда я пытаюсь установить .deb, дважды щелкнув файл и нажав «Установить пакет» во всплывающем окне «Установщик пакетов», я получаю следующую ошибку:

DBus.Error.NoReply

Кажется, в aptdaemon, программной ошибке, которая позволяет вам устанавливать / удалять программное обеспечение и выполнять другие задачи, связанные с управлением пакетами, возникает ошибка программирования.

org.freedesktop.DBus.Error.NoReply: получатель сообщения отключен от сообщения, но не отвечает.

Я могу запустить apt update и upgrade просто отлично. Я думаю, что что-то пошло не так с установкой, которую я сделал некоторое время назад, используя dpkg из командной строки. Я не могу найти какие-либо подробности о том, как это исправить. Есть идеи?

РЕДАКТИРОВАТЬ: Я также не могу установить вещи из графического интерфейса диспетчера программного обеспечения. Я попытался переустановить оба mintinstall , mintupdate и gdebi но после этого моя ситуация не изменилась. Не могу удалить через графический интерфейс.

РЕДАКТИРОВАТЬ 2: я обнаружил, что я не могу открыть синаптические из меню. Если я запускаю synaptic-pkexec из командной строки, я получаю следующий вывод:

Ошибка проверки авторизации com.ubuntu.pkexec.synaptic: GDBus.Error: org.freedesktop.DBus.Error.NoReply: получатель сообщения отключен от шины сообщений без ответа

Это заставляет меня думать, что моя проблема может быть связана с политическим набором, но я недостаточно знаю о политическом наборе. policykit-desktop-privileges помогает пользователям в группах admin или sudo, которые автоматически запускают для них общие задачи как sudo. Когда я дважды щелкаю по файлу deb и gdebi-gtk, никаких проблем не возникает, пока он обычно не запросит мой пароль sudo.

Как мне устранить потенциальные проблемы с помощью policykit?

РЕДАКТИРОВАТЬ 3: Проблема, кажется, коренится в Policy Kit, поэтому я отредактировал вопрос. У меня стабильная установка Linux Mint 19 x64 на моем ноутбуке, и я сравнивал поведение моего рабочего стола с ноутбуком. На моем ноутбуке я запускаю pkexec nano и пользовательский интерфейс выскакивает, спрашивая мой пароль для sudo, и запускаю nano, когда я даю пароль. На моем сервере, где у меня проблема, когда я запускаю pkexec nano вместо pkexec nano всплывающего windows пользовательского интерфейса, я получаю тот же вывод, что и при запуске synaptic-pkexec (за исключением того, что вместо com.ubuntu.pkexec.exec синаптической).

Из некоторого поиска в Google кажется, что набор политик по умолчанию должен быть /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1 . Когда я запускаю файл, я получаю:

** (polkit-gnome-authentication-agent-1: 13684): ПРЕДУПРЕЖДЕНИЕ **: 10: 10: 40.701: Невозможно зарегистрировать агент аутентификации: GDBus.Error: org.freedesktop.PolicyKit1.Error.Failed: Агент аутентификации уже существует для данного предмета

Я не уверен, есть ли способ найти действующего агента аутентификации. У меня есть служба polkit которая активна и не polkit никаких ошибок. Я проверил журнал в /var/log/auth.log но он не содержит ошибок. Когда я делаю вышеупомянутый pkexec nano журнал печатает следующее:

9 августа 10:14:44 MyComputerName polkitd (author = local): зарегистрированный агент аутентификации для unix-сессии: c2 (имя системной шины: 1.56 [/ usr / lib / policykit-1-gnome / polkit-gnome-authentication-agent- agent- 1], путь к объекту / org / gnome / PolicyKit1 / AuthenticationAgent, языковой стандарт en_US.UTF-8)

Такое ощущение, что polkit-gnome-authentication-agent-1 активен и работает, но, видимо, неправильно.

Я также нахожу странным, что я могу запустить sudo apt update и получить правильный пароль для моего пароля (и он работает правильно, когда ему дают пароль). Я думал, что за это будет отвечать Полкит, и это кажется сломанным.